{
  disko.devices = {
    disk = {
      sda = {
        type = "disk";
        device = "/dev/sda";
        content = {
          type = "gpt";
          partitions = {
            luks = {
              size = "100%";
              content = {
                type = "luks";
                name = "NAS-RAID";
                askPassword = true;
                # disable settings.keyFile if you want to use interactive password entry
                #passwordFile = "/tmp/secret.key"; # Interactive
                settings = {
                  allowDiscards = true;
                };
                content = {
                  type = "btrfs";
                  extraArgs = [ "-f -L NAS-RAID" ];
                  subvolumes = {
                    "@" = {
                      mountpoint = "/mnt/Pluto";
                      mountOptions = [ "compress=zstd" "noatime" "ssd" "discard=async" ];
                    };
                    "@/Backups";
                    "@/Media";
                    "@/Games";
                    "@/IT";
                    "@/Rest";
                    "@snapshots" = {
                      mountpoint = "/mnt";
                      mountOptions = [ "compress=zstd" "noatime" "ssd" "discard=async" ];
                    };
                  };
                };
              };
            };
          };
        };
      };
    };
  };
}
